﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
#Region Copyright
'  Project: atHome
'  Copyright (C) 2018 Robert W.B. Linn, Pinneberg, Germany.
'
'  Constants: Shared Code Module Constants declaration for use in all modules
'
'  Version: 20181013
'
'  This project is free software; you can redistribute it And/Or
'  modify it under the terms of the GNU Lesser General Public
'  License As published by the Free Software Foundation; either
'  version 2 of the License, Or (at your option) any later version.
'
'  This project Is distributed in the hope that it will be useful,
'  but WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE. See the GNU
'  Lesser General Public License For more details.
'
'  You should have received a copy of the GNU Lesser General Public
'  License along with this project; If Not, write To the
'  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
'  Boston, MA 02111-1307, USA.
#End Region

#Region Notes
'Subs in this code module will be accessible from all modules.
#End Region

'These global variables will be declared once when the application starts.
'These variables can be accessed from all modules as declared public
Sub Process_Globals
	Public TITLE As String 							= "atHome"
	Public VERSION As String 						= "v0.95 (Build 20181016)"
	Public ABOUT As String 							= $"${TITLE} ${VERSION}${CRLF}by Robert W.B. Linn, Pinneberg, Germany${CRLF}App for private use only."$
	Public ABOUTTITLE As String						= "About..."

	' Settings
	' Define the settings map entry and the text to be displayed in the xcustomlistview
	Public SETTINGSFILE As String					= "atHome.set"
	Public SETTINGSSERVERIP As String 				= "serverip"
	Public SETTINGSSERVERIPTEXT As String 			= "Server IP Address: "
	Public SETTINGSSERVERIPTITLE As String 			= "Set Server IP Address"
	Public SETTINGSTABTEXTICONONLY As String 		= "tabtexticononly"
	Public SETTINGSTABTEXTICONONLYTEXT As String	= "Tab icon only"
	Public SETTINGSWINDUNIT	As String				= "windunit"
	Public SETTINGSWINDUNITTEXT	As String			= "Wind Unit: "
	Public SETTINGSWINDUNITTITLE As String			= "Set Wind Unit"
	Public SETTINGSMESSAGEDEVICE As String			= "messagedevice"
	Public SETTINGSMESSAGEDEVICETEXT As String		= "Message Device Index: "
	Public SETTINGSMESSAGEDEVICETITLE As String		= "Set Message Device Index (idx)"
	Public SETTINGSBUTTONTEXT As String 			= "Set"
	
	' Domoticz Server
	Public SERVERIPPREFIX As String 				= "http://"
	Public SERVERIPSUFFIX As String 				= ":8080/json.htm?"
	Public SERVERIPDEFAULT As String				= "192.168.1.60"

	' TabStrip 
	' Map for the TabText holding the TabText and TabIcon
	' Example: Uses in Main TabStripMain.LoadLayout("weather", SetTabText("weather", True))
	' SetTabText sets the TabText without text, i.e. icon only
	Public	TABWEATHERTEXT As String 				= "Weather"
	Public	TABLIGHTSTEXT As String 				= "Lights"
	Public	TABINFORMATIONTEXT As String 			= "Information"
	Public	TABSETTINGSTEXT As String				= "Settings"
	Public	TABStripTabs As Map = CreateMap("weather"		:CreateMap("text":TABWEATHERTEXT,"icon":Chr(0xF185)), _
											"lights"		:CreateMap("text":TABLIGHTSTEXT,"icon":Chr(0xF0EB)), _ 	
											"information"	:CreateMap("text":TABINFORMATIONTEXT,"icon":Chr(0xF1EA)), _ 	
											"settings"		:CreateMap("text":TABWEATHERTEXT,"icon":Chr(0xF085)))
	' xCustomListView
	'  Item heights depending tab
	Public	CLVITEMHEIGHTWEATHER As String		= 60dip
	Public	CLVITEMHEIGHTLIGHTS As String		= 110dip
	Public	CLVITEMHEIGHTINFORMATION As String	= 60dip
	Public	CLVITEMHEIGHTSETTINGS As String		= 60dip

	' Messages & Text
	Public	DATAREFRESHEDTEXT As String			= "Data refreshed: "
	Public	ENTERMESSAGETEXT As String			= "Enter Message"
	Public	MESSAGEAPPLYSETTINGS As String		= "Restart the app to apply the settings."

	'
	' JSON
	'
	' JSON keys used in the Domoticz REST request result
	' The key must exact match!
	' Important to check (from time to time) any changes by placing REST request via  browser.
	Public DOMOTICZAPPVERSIONKEY As String 		= "app_version"
	Public DOMOTICZNAMEKEY As String 			= "Name"
	Public DOMOTICZDATAKEY As String 			= "Data"
	Public DOMOTICZDAYLENGTH As String			= "DayLength"
	Public DOMOTICZDESCRIPTIONKEY As String		= "Description"
	Public DOMOTICZRESULTKEY As String 			= "result"
	Public DOMOTICZIDXKEY As String 			= "idx"
	Public DOMOTICZTYPEKEY As String 			= "Type"
	Public DOMOTICZSUBTYPEKEY As String 		= "SubType"
	Public DOMOTICZLEVELKEY As String 			= "Level"
	Public DOMOTICZSTATUSKEY As String 			= "Status"
	Public DOMOTICZSERVERTIMEKEY As String 		= "ServerTime"
	Public DOMOTICZSUNRISEKEY As String 		= "Sunrise"
	Public DOMOTICZSUNSETKEY As String 			= "Sunset"
	Public DOMOTICZGUSTKEY As String 			= "Gust"
	Public DOMOTICZDIRECTIONSTRKEY As String	= "DirectionStr"
	Public DOMOTICZRETSTATUSKEY As String 		= "status"
	Public DOMOTICZRETTITLEKEY As String 		= "title"
	Public DOMOTICZSWITCHONVALUE   As String 	= "On"
	Public DOMOTICZSWITCHOFFVALUE  As String 	= "Off"
	Public DOMOTICZSWITCHTYPE As String 		= "SwitchType"
	Public DOMOTICZSWITCHTYPEDIMMER As String 	= "Dimmer"
	Public DOMOTICZSWITCHTYPEONOFF As String 	= "On/Off"
	Public DOMOTICZTYPEWIND As String 			= "Wind"

	'Defaults for settings
	Public WINDUNITDEFAULT As String 			= "bf"
	Public MESSAGEDEVICEDEFAULT As Int 			= 0
End Sub