﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.51
@EndOfDesignText@
#Region Copyright
'  Project: atHome
'  Copyright (C) 2018 Robert W.B. Linn, Pinneberg, Germany.
'
'  InputDialog: Class module text input dialog
'
'  Version: 20181007
'
'  This project is free software; you can redistribute it And/Or
'  modify it under the terms of the GNU Lesser General Public
'  License As published by the Free Software Foundation; either
'  version 2 of the License, Or (at your option) any later version.
'
'  This project Is distributed in the hope that it will be useful,
'  but WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE. See the GNU
'  Lesser General Public License For more details.
'
'  You should have received a copy of the GNU Lesser General Public
'  License along with this project; If Not, write To the
'  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
'  Boston, MA 02111-1307, USA.
#End Region

#Region Notes

#End Region

Private Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private ButtonCancel As Button
	Private ButtonOK As Button
	Private LabelTitle As Label
	Private LabelInputOld As Label
	Private TextFieldInput As TextField

	Public Input As String = ""				'Input Result of the dialog if OK or textfield enter pressed
	Public INPUTOK As Int = 1				'Dialog result indicator for button OK
	Public INPUTCANCEL As Int = 0			'Dialog result indicator for button CANCEL
	Private Result As Int = INPUTCANCEL		'Handle the dialog result being returned

	Private mSetInputOld As Boolean = False
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Parent As Form, Text As String, Title As String)
	frm.Initialize("frm", 350dip, 220dip)
	frm.Title = Title
	frm.SetFormStyle("UNDECORATED")
	frm.RootPane.LoadLayout("inputdialog")
	LabelTitle.Text		= Title
	LabelInputOld.Text	= Text
	TextFieldInput.Text = ""
End Sub

' Close request handling 
Private Sub frm_CloseRequest (EventData As Event)
'	NOT USED as undecorated form style
End Sub

Public Sub Show As Int
	If mSetInputOld Then TextFieldInput.Text = LabelInputOld.Text
	frm.ShowAndWait
	Return Result
End Sub

Private Sub ButtonOK_Click
	Input = TextFieldInput.Text
	Result = INPUTOK
	frm.close
End Sub

Private Sub ButtonCancel_Click
	Result = INPUTCANCEL
	frm.close
End Sub

' Pressing enter closes the dialog with result OK
Private Sub TextFieldInput_Action
	ButtonOK_Click
End Sub

' Option to set the old input in the edit field
Public Sub setInputOld(Value As Boolean)
	mSetInputOld = Value
End Sub

Public Sub getInputOld As Boolean
	Return mSetInputOld
End Sub

